

#include "File.hpp"

File::File()
{
}

File::File(STRING f)
{
	Open(f);
}

File::~File()
{
	Close();
}

void File::Open(STRING f)
{
	if (file.is_open())
		Close();
	file.open(f.c_str());
	Flush();
}

void File::Close()
{
	Flush();
	file.close();
}

// Write to file
void File::Write(STRING str)
{
	std::string temp;
	temp.assign(str.begin(), str.end());
	file.write(temp.c_str(), temp.size());
}

// Read from file
void File::Read(STRING & str)
{
	std::string temp;
	char buffer[1024] = {0};
	while (!stream.eof())
	{
		size_t size = stream.read(buffer, 1024);
		temp.append(buffer, size);
	}
	str.assign(temp.begin(), temp.end());
}

// Flush the buffer
void File::Flush()
{
	file.flush();
}